summaryrefslogtreecommitdiff
path: root/distro/pkg/deb/bird2.postinst
diff options
context:
space:
mode:
authorJakub Ružička <jakub.ruzicka@nic.cz>2021-04-06 18:13:16 +0200
committerOndrej Zajicek (work) <santiago@crfreenet.org>2021-05-19 17:22:11 +0200
commit329d6e3fbc5a09a9bc8800bd8a5d239dec1a3d24 (patch)
tree29bf25fc20a609c0d81469fc2e4e528b99d4f5bb /distro/pkg/deb/bird2.postinst
parentc3c691e95cd40d8654b720be8d9a8ae9fb050951 (diff)
add apkg-powered upstream packaging for deb, rpm
Files in a single new distro/ dir allow apkg to build BIRD packages for various distros directly from upstream sources as well as from upstream archives. Please see distro/README.md for more detail as well as apkg docs: https://apkg.rtfd.io I've used these files to build bird-2.0.8 on all currently supported releases of following distros: * Debian * Ubuntu * Fedora * CentOS * openSUSE Please note that latest apkg with accumulated fixes for bird is needed: https://gitlab.nic.cz/packaging/apkg/-/merge_requests/35
Diffstat (limited to 'distro/pkg/deb/bird2.postinst')
-rw-r--r--distro/pkg/deb/bird2.postinst19
1 files changed, 19 insertions, 0 deletions
diff --git a/distro/pkg/deb/bird2.postinst b/distro/pkg/deb/bird2.postinst
new file mode 100644
index 00000000..8f85b15a
--- /dev/null
+++ b/distro/pkg/deb/bird2.postinst
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e
+
+if [ "$1" = "configure" ]; then
+
+ if ! getent passwd bird > /dev/null; then
+ adduser --quiet --system --group --no-create-home --home /run/bird bird
+ fi
+
+ dpkg-statoverride --list /etc/bird > /dev/null || dpkg-statoverride --update --add bird bird 0750 /etc/bird
+
+ ucf /usr/share/bird2/bird.conf /etc/bird/bird.conf
+ ucfr -f bird2 /etc/bird/bird.conf
+ dpkg-statoverride --list /etc/bird/bird.conf > /dev/null || dpkg-statoverride --update --add bird bird 0640 /etc/bird/bird.conf
+fi
+
+#DEBHELPER#
+
+exit 0